"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Recaptcha = exports.getRecaptchaToken = void 0;
var react_1 = __importStar(require("react"));
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var getRecaptchaToken = function (id) {
    var elemId = (0, core_1.isNonEmptyString)(id) ? "recaptcha_".concat(id) : "";
    var win = (0, core_1.getWindow)();
    return ((0, core_1.isNonEmptyString)(elemId) &&
        win.grecaptcha.enterprise.getResponse(win[elemId]));
};
exports.getRecaptchaToken = getRecaptchaToken;
var Recaptcha = function (props) {
    var siteKey = props.siteKey;
    var id = (0, core_1.isNonEmptyString)(props.id)
        ? "recaptcha_".concat(props.id)
        : "recaptcha_core";
    var scriptId = "".concat(id, "_script");
    var functionId = "".concat(id, "_onLoadRecaptcha")
        .replace(/-/g, "")
        .replace(/_/g, "");
    var style = (0, core_1.isObject)(props.style) ? props.style : {};
    var className = (0, core_1.isNonEmptyString)(props.className) ? props.className : "";
    var SSR = (0, core_1.isSSR)();
    (0, react_1.useEffect)(function () {
        if (!SSR &&
            (0, core_1.isNonEmptyString)(id) &&
            !document.getElementById(scriptId)) {
            var win_1 = (0, core_1.getWindow)();
            if (!win_1[functionId]) {
                win_1[functionId] = function () {
                    win_1[id] = win_1.grecaptcha.enterprise.render(id, {
                        sitekey: siteKey,
                        theme: "light"
                    });
                };
                win_1[scriptId] = document.createElement("script");
                win_1[scriptId].id = scriptId;
                win_1[scriptId].src = "https://www.google.com/recaptcha/enterprise.js?onload=".concat(functionId, "&render=explicit");
                document.body.appendChild(win_1[scriptId]);
            }
        }
    }, [SSR, functionId, id, scriptId, siteKey]);
    return react_1.default.createElement("div", { id: id, style: style, className: className });
};
exports.Recaptcha = Recaptcha;
exports.default = exports.Recaptcha;
//# sourceMappingURL=recaptcha.js.map