"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedirectButton = void 0;
var react_1 = __importStar(require("react"));
var lodash_1 = require("lodash");
var react_content_loader_1 = __importDefault(require("react-content-loader"));
var colors_1 = require("primeobjects-helper-util/build/cjs/colors");
var router_1 = require("next/router");
var RedirectButton = function (props) {
    var width = props.width, height = props.height, delaySeconds = props.delaySeconds;
    var _a = (0, react_1.useState)(false), leaving = _a[0], setLeaving = _a[1];
    var router = (0, router_1.useRouter)();
    var barHeight = 10;
    var className = props.className ? props.className : "";
    var onClick = function () {
        setLeaving(true);
        (0, lodash_1.delay)(function () {
            router.push("/".concat(router.locale, "/list/dashboard"));
        }, delaySeconds ? delaySeconds * 1000 : 1000);
    };
    return (react_1.default.createElement("button", __assign({}, props, { onClick: onClick, className: "overflow-hidden ".concat(className), style: __assign(__assign(__assign({}, props.style), { width: width, height: height }), (leaving ? { padding: 0 } : {})) }), leaving ? (react_1.default.createElement(react_content_loader_1.default, { speed: 2, width: width, height: height, viewBox: "0 0 ".concat(width, " ").concat(height), backgroundColor: props.backgroundColor
            ? props.backgroundColor
            : colors_1.COLORS.GRAY[100], foregroundColor: props.foregroundColor
            ? props.foregroundColor
            : colors_1.COLORS.GRAY[300] },
        react_1.default.createElement("rect", { x: "0", y: 0, rx: 0, ry: barHeight, width: width, height: height }))) : (props.children)));
};
exports.RedirectButton = RedirectButton;
exports.default = exports.RedirectButton;
//# sourceMappingURL=redirect-button.js.map