"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVG = void 0;
var react_1 = __importDefault(require("react"));
var react_svg_1 = require("react-svg");
var lodash_1 = require("lodash");
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var react_2 = require("@emotion/react");
var slug_1 = require("primeobjects-helper-util/build/cjs/slug");
var SVG = function (props) {
    var style = props.style;
    var src = props.src && (0, core_1.isNonEmptyString)(props.src) ? props.src : "";
    var color = props.color ? props.color : "#000000";
    var colorSlug = (0, slug_1.slug)(color);
    var size = (0, lodash_1.isNumber)(props.size) && props.size > 0 ? props.size : 16;
    var className = (0, core_1.isNonEmptyString)(props.className) ? props.className : "";
    var stroke = props.stroke == true;
    var onClick = function (e) {
        if ((0, lodash_1.isFunction)(props.onClick))
            props.onClick(e);
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_2.Global, { styles: (0, react_2.css)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n                    .svg {\n                        line-height: 1;\n                        height: inherit;\n                        width: inherit;\n                    }\n                    .svg div,\n                    .svg svg {\n                        height: inherit;\n                        width: inherit;\n                    }\n                "], ["\n                    .svg {\n                        line-height: 1;\n                        height: inherit;\n                        width: inherit;\n                    }\n                    .svg div,\n                    .svg svg {\n                        height: inherit;\n                        width: inherit;\n                    }\n                "]))) }),
        react_1.default.createElement(react_2.Global, { styles: (0, react_2.css)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n                    .svg", " svg {\n                        ", ": ", ";\n                    }\n\n                    .svg", " svg path {\n                        ", ": ", ";\n                    }\n                "], ["\n                    .svg", " svg {\n                        ", ": ", ";\n                    }\n\n                    .svg", " svg path {\n                        ", ": ", ";\n                    }\n                "])), colorSlug, stroke ? "stroke" : "fill", color, colorSlug, stroke ? "stroke" : "fill", color) }),
        react_1.default.createElement("div", { onClick: onClick, style: __assign({ width: size, height: size }, style), className: "svg-wrapper ".concat(className) }, (0, core_1.isNonEmptyString)(src) && (react_1.default.createElement(react_svg_1.ReactSVG, { src: src, className: "svg".concat(colorSlug, " svg") })))));
};
exports.SVG = SVG;
exports.default = exports.SVG;
var templateObject_1, templateObject_2;
//# sourceMappingURL=svg.js.map