"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeCookie = exports.setCookie = exports.getCookie = void 0;
var nookies_1 = __importDefault(require("nookies"));
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var lodash_1 = require("lodash");
var getCookie = function (name, ctx) {
    var o = nookies_1.default.get(ctx);
    if (!(0, core_1.isObject)(o))
        return "";
    var v = nookies_1.default.get(ctx)[name];
    return v ? v : "";
};
exports.getCookie = getCookie;
var setCookie = function (name, value, ctx, maxAgeMins) {
    if ((0, lodash_1.isNil)(maxAgeMins) || !(0, lodash_1.isInteger)(maxAgeMins))
        maxAgeMins = 360;
    var option = { path: "/", maxAge: maxAgeMins * 60 };
    nookies_1.default.set(ctx, name, value, option);
};
exports.setCookie = setCookie;
var removeCookie = function (name, ctx) {
    nookies_1.default.destroy(ctx, name, { path: "/" });
};
exports.removeCookie = removeCookie;
//# sourceMappingURL=cookie.js.map