//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { isInteger, isNumber } from "lodash";
import SVG from "../svg";
import { COLORS, isNonEmptyString } from "primeobjects-helper-util";
var styles = {
    countWrapper: {
        position: "absolute",
        top: -6,
        right: -8,
        borderRadius: 9,
        backgroundColor: COLORS.RED["800"],
        justifyContent: "space-around"
    },
    count: { fontSize: 8, color: COLORS.WHITE, alignSelf: "center" }
};
export var HeaderNotification = function (props) {
    var countWrapperStyle = props.countWrapperStyle, countStyle = props.countStyle, hide = props.hide, count = props.count, wrapperClassName = props.wrapperClassName, wrapperStyle = props.wrapperStyle;
    var size = isInteger(props.size) ? props.size : 24;
    return hide ? null : (React.createElement("div", { style: wrapperStyle, className: "relative inline-flex ".concat(isNonEmptyString(wrapperClassName) ? wrapperClassName : "") },
        React.createElement("div", { className: "-mx-1 bg-white p-1 rounded-full text-gray-400 hover:text-gray-500" },
            React.createElement("span", { className: "sr-only" }, "View notifications"),
            React.createElement(SVG, { size: size, color: COLORS.GRAY["800"], src: "/icons/platform/notification.svg" }),
            isNumber(count) && count > 0 && (React.createElement("div", { className: "flex flex-row justify-center w-full", style: __assign(__assign({ width: (size * 2) / 3, height: (size * 2) / 3 }, styles.countWrapper), countWrapperStyle) },
                React.createElement("div", { style: __assign(__assign({}, styles.count), countStyle) }, count > 9 ? "9+" : count))))));
};
export default HeaderNotification;
//# sourceMappingURL=notification.js.map