//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useState } from "react";
import { delay } from "lodash";
import ContentLoader from "react-content-loader";
import { COLORS } from "primeobjects-helper-util/build/cjs/colors";
import { useRouter } from "next/router";
export var RedirectButton = function (props) {
    var width = props.width, height = props.height, delaySeconds = props.delaySeconds;
    var _a = useState(false), leaving = _a[0], setLeaving = _a[1];
    var router = useRouter();
    var barHeight = 10;
    var className = props.className ? props.className : "";
    var onClick = function () {
        setLeaving(true);
        delay(function () {
            router.push("/".concat(router.locale, "/list/dashboard"));
        }, delaySeconds ? delaySeconds * 1000 : 1000);
    };
    return (React.createElement("button", __assign({}, props, { onClick: onClick, className: "overflow-hidden ".concat(className), style: __assign(__assign(__assign({}, props.style), { width: width, height: height }), (leaving ? { padding: 0 } : {})) }), leaving ? (React.createElement(ContentLoader, { speed: 2, width: width, height: height, viewBox: "0 0 ".concat(width, " ").concat(height), backgroundColor: props.backgroundColor
            ? props.backgroundColor
            : COLORS.GRAY[100], foregroundColor: props.foregroundColor
            ? props.foregroundColor
            : COLORS.GRAY[300] },
        React.createElement("rect", { x: "0", y: 0, rx: 0, ry: barHeight, width: width, height: height }))) : (props.children)));
};
export default RedirectButton;
//# sourceMappingURL=redirect-button.js.map