//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { ReactSVG } from "react-svg";
import { isFunction, isNumber } from "lodash";
import { isNonEmptyString } from "primeobjects-helper-util/build/cjs/core";
import { Global, css } from "@emotion/react";
import { slug } from "primeobjects-helper-util/build/cjs/slug";
export var SVG = function (props) {
    var style = props.style;
    var src = props.src && isNonEmptyString(props.src) ? props.src : "";
    var color = props.color ? props.color : "#000000";
    var colorSlug = slug(color);
    var size = isNumber(props.size) && props.size > 0 ? props.size : 16;
    var className = isNonEmptyString(props.className) ? props.className : "";
    var stroke = props.stroke == true;
    var onClick = function (e) {
        if (isFunction(props.onClick))
            props.onClick(e);
    };
    return (React.createElement(React.Fragment, null,
        React.createElement(Global, { styles: css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n                    .svg {\n                        line-height: 1;\n                        height: inherit;\n                        width: inherit;\n                    }\n                    .svg div,\n                    .svg svg {\n                        height: inherit;\n                        width: inherit;\n                    }\n                "], ["\n                    .svg {\n                        line-height: 1;\n                        height: inherit;\n                        width: inherit;\n                    }\n                    .svg div,\n                    .svg svg {\n                        height: inherit;\n                        width: inherit;\n                    }\n                "]))) }),
        React.createElement(Global, { styles: css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n                    .svg", " svg {\n                        ", ": ", ";\n                    }\n\n                    .svg", " svg path {\n                        ", ": ", ";\n                    }\n                "], ["\n                    .svg", " svg {\n                        ", ": ", ";\n                    }\n\n                    .svg", " svg path {\n                        ", ": ", ";\n                    }\n                "])), colorSlug, stroke ? "stroke" : "fill", color, colorSlug, stroke ? "stroke" : "fill", color) }),
        React.createElement("div", { onClick: onClick, style: __assign({ width: size, height: size }, style), className: "svg-wrapper ".concat(className) }, isNonEmptyString(src) && (React.createElement(ReactSVG, { src: src, className: "svg".concat(colorSlug, " svg") })))));
};
export default SVG;
var templateObject_1, templateObject_2;
//# sourceMappingURL=svg.js.map